apt 3.1.11 commandline package manager

Public Member Functions | Public Attributes | List of all members
debDebFile::MemControlExtract Class Reference
Inheritance diagram for debDebFile::MemControlExtract:

## Public Member Functions
bool | DoItem (Item &Itm, int &Fd) override
bool | Process (Item &Itm, const unsigned char *Data, unsigned long long Size, unsigned long long Pos) override
bool | Read (debDebFile &Deb)
bool | TakeControl (const void *Data, unsigned long long Size)
| MemControlExtract (std::string Member)
Public Member Functions inherited from pkgDirStream
virtual bool | Fail (Item &Itm, int Fd)
virtual bool | FinishedFile (Item &Itm, int Fd)

## Public Attributes
char * | Control
pkgTagSection | Section
unsigned long | Length
std::string | Member

## Member Function Documentation

## ◆ DoItem()

bool DoItem | ( | Item & | Itm,
|  | int & | Fd )
| override virtual

Reimplemented from pkgDirStream.

## ◆ Process()

bool Process | ( | Item & | Itm,
|  | const unsigned char * | Data,
|  | unsigned long long | Size,
|  | unsigned long long | Pos )
| override virtual

Reimplemented from pkgDirStream.

The documentation for this class was generated from the following files:

- apt-pkg/deb/debfile.h
- apt-pkg/deb/debfile.cc